Get popup details of a service provider
GET /v1/service-provider/{id}/popup-details
- Scope
providers:read
Fetches detailed popup information about a service provider including profile, skills, preferences, rates, availability, assignment-specific location type, etc.
Parameters
Path parameters
| Name | Type | Description |
|---|---|---|
id required | string | The unique ID of the service provider (e.g., SPR-JVI5GD) Example |
Query parameters
| Name | Type | Description |
|---|---|---|
assignmentId | string | Optional assignment ID to retrieve assignment-specific locationType (e.g., ASG-LVMXVD) Example |
shiftId | string | Optional shift ID to retrieve shift-specific locationType (e.g., SFT-LVMXVD). Mutually exclusive with assignmentId. Example |
isFromPortal | boolean | Whether this is being requested from a portal (client/consumer/provider) rather than the admin app. Changes the wording of recurring-assignment acceptance status and hides some admin-only fields. Example |
Every call also sends Authorization and X-Tenant-ID; see Getting started.
Example request
curl "https://api.fetchfido.ai/v1/service-provider/{id}/popup-details" \
-H "Authorization: Bearer $FIDO_API_KEY" \
-H "X-Tenant-ID: $FIDO_TENANT_ID"Try it
Responses
200 Successful response with service provider details
Successful response with service provider details
{
"success": true,
"message": "Service Provider details fetched successfully!",
"data": {
"id": "SPR-JVI5GD",
"name": "John",
"email": "john.doe@example.com",
"countryCode": "+1",
"phone": "9888888888",
"logo": "https://fido-devserver.s3.us-east-1.amazonaws.comasas",
"phoneType": "sms_and_voice",
"timezone": "US",
"genderPreference": "Male",
"role": "staff",
"status": 1,
"locationType": "on-site",
"serviceType": "ASL",
"serviceProviderType": "Deaf",
"isFavorite": false,
"hearingStatus": "string",
"networkAccess": false,
"employmentStatus": "string",
"skills": [
{
"id": 2,
"label": "Advanced"
}
],
"certifications": [
{
"id": 1,
"label": "NIC"
}
],
"clearances": [
{
"id": 1,
"label": "HIPPA"
}
],
"specializations": [
{
"id": 1,
"label": "Legal"
}
],
"availability": [
{
"shift_type": "first",
"startDateTime": "2025-07-30 08:43:31",
"endDateTime": "2025-07-31 08:43:31",
"bufferBeforeMinutes": 1,
"bufferAfterMinutes": 1
}
],
"rates": [
{
"rateType": "Standard",
"rate": "10.00",
"assignment": true,
"shift": false,
"unit": "hour",
"minimumDuration": 1
}
],
"restrictedClients": [
{
"id": "CLI-123456",
"label": "Client Name",
"image": "https://example.com/image.jpg"
}
],
"restrictedConsumers": [
null
],
"restrictedServiceProviders": [
{
"id": "SPR-N4MTEC",
"label": "John2",
"image": "https://fido-devserver.s3.us-east-1.amazonaws.comtest"
}
],
"preferredClients": [
null
],
"preferredConsumers": [
{
"id": "CSM-YJNDSQ",
"label": "demo consumer",
"image": "https://fido-devserver.s3.us-east-1.amazonaws.comdemo"
}
],
"preferredServiceProviders": [
null
]
}
}Response fields (61)
3 top-level fields; 1 hold nested fields, listed below.
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
data | object (58 nested) |
Nested fields
data 58 fields
| Field | Type | Description |
|---|---|---|
data.id | string | Example |
data.name | string | Example |
data.email | string | Example |
data.countryCode | string | Example |
data.phone | string | Example |
data.logo | string (url) | Example |
data.phoneType | string or null | Example |
data.timezone | string | Example |
data.genderPreference | string | Example |
data.role | string | Example |
data.status | integer | Example |
data.locationType | string | Example |
data.serviceType | string | Example |
data.serviceProviderType | string | Example |
data.isFavorite | boolean | Example |
data.hearingStatus | string or null | |
data.networkAccess | boolean | Example |
data.employmentStatus | string or null | |
data.skills | array of object | |
data.skills[].id | integer | Example |
data.skills[].label | string | Example |
data.certifications | array of object | |
data.certifications[].id | integer | Example |
data.certifications[].label | string | Example |
data.clearances | array of object | |
data.clearances[].id | integer | Example |
data.clearances[].label | string | Example |
data.specializations | array of object | |
data.specializations[].id | integer | Example |
data.specializations[].label | string | Example |
data.availability | array of object | |
data.availability[].shift_type | string | Example |
data.availability[].startDateTime | string (date-time) | Example |
data.availability[].endDateTime | string (date-time) | Example |
data.availability[].bufferBeforeMinutes | integer or null | Example |
data.availability[].bufferAfterMinutes | integer or null | Example |
data.rates | array of object | |
data.rates[].rateType | string | Example |
data.rates[].rate | string | Example |
data.rates[].assignment | boolean | Example |
data.rates[].shift | boolean | Example |
data.rates[].unit | string | Example |
data.rates[].minimumDuration | integer | Example |
data.restrictedClients | array of object | |
data.restrictedClients[].id | string | Example |
data.restrictedClients[].label | string | Example |
data.restrictedClients[].image | string (url) | Example |
data.restrictedConsumers | array of any | |
data.restrictedServiceProviders | array of object | |
data.restrictedServiceProviders[].id | string | Example |
data.restrictedServiceProviders[].label | string | Example |
data.restrictedServiceProviders[].image | string (url) | Example |
data.preferredClients | array of any | |
data.preferredConsumers | array of object | |
data.preferredConsumers[].id | string | Example |
data.preferredConsumers[].label | string | Example |
data.preferredConsumers[].image | string (url) | Example |
data.preferredServiceProviders | array of any |
401 Not signed in
Missing, invalid or expired API key.
{
"success": false,
"message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
"errors": null,
"code": "API_KEY_MISSING"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
403 Not allowed
Scope, tenant, IP allow-list or RBAC check failed.
{
"success": false,
"message": "You don't have permission to access this endpoint. This API key is missing the 'providers:read' scope.",
"errors": null,
"code": ""
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Always empty on this status. Example |
429 Too many requests
Rate limit exceeded. See Retry-After.
{
"success": false,
"message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
"errors": null,
"code": "RATE_LIMITED"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
500 Server error
Server error
{
"success": false,
"message": "An unexpected error occurred — please try again.",
"errors": "Exception details here"
}Response fields (3)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | string or null | Null in production. The exception message only when the application runs with debug on. Example |